Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
New Developer
Posts: 8
Registered: ‎10-31-2013
My Device: simulator
My Carrier: local
Accepted Solution

VPN Extensions Library missing on Simulator

I'm developing a VPN Extension App using Cascades ui and latest available Momentics IDE.

I've already set up environment, simulator and successfully built and  and deployed to simulator simple Cascades sample with tabs. All works fine, great. 

After learning VPN Extensions Library documentation I faced trouble: if I add libvpn_ext built-in library throgh Add Library wizard, project fails to build with simulator configuration. With device configuration project builds correct. As I understand, the problem is missing x86 version of  libvpn_ext library. 

 

I don't have real device, only simulator, so I can't futher develop my app. Any ways to get x86 version of library?

 

Here is console output of failed build:

 

14:42:53 **** Incremental Build of configuration Simulator-Debug for project VPNShieldCascades ****

make -j3 Simulator-Debug 

make -C .//translations -f Makefile update

make[1]: Entering directory `/Users/alex/momentics-workspace/VPNShieldCascades/translations'

/Applications/Momentics.app/host_10_2_0_15/darwin/x86/usr/bin/lupdate VPNShieldCascades.pro

Updating 'VPNShieldCascades.ts'...

    Found 5 source text(s) (0 new and 5 already existing)

make[1]: Leaving directory `/Users/alex/momentics-workspace/VPNShieldCascades/translations'

make -C .//translations -f Makefile release

make[1]: Entering directory `/Users/alex/momentics-workspace/VPNShieldCascades/translations'

/Applications/Momentics.app/host_10_2_0_15/darwin/x86/usr/bin/lrelease VPNShieldCascades.pro

Updating '/Users/alex/momentics-workspace/VPNShieldCascades/translations/VPNShieldCascades.qm'...

    Generated 0 translation(s) (0 finished and 0 unfinished)

    Ignored 5 untranslated source text(s)

make[1]: Leaving directory `/Users/alex/momentics-workspace/VPNShieldCascades/translations'

make -C ./x86 -f Makefile debug

make[1]: Entering directory `/Users/alex/momentics-workspace/VPNShieldCascades/x86'

make -f Makefile.Debug

make[2]: Entering directory `/Users/alex/momentics-workspace/VPNShieldCascades/x86'

qcc -Vgcc_ntox86 -lang-c++ -Wl,-rpath-link,/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/lib -Wl,-rpath-link,/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/usr/lib -Wl,-rpath-link,/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/usr/lib/qt4/lib -o o-g/VPNShieldCascades o-g/.obj/applicationui.o o-g/.obj/main.o o-g/.obj/vpn_extension.o o-g/.obj/moc_applicationui.o    -L/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/lib -L/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/usr/lib -L/Applications/Momentics.app/target_10_2_0_1155/qnx6/x86/usr/lib/qt4/lib -L/Applications/Momentics.app/target_10_2_0_1155/qnx6//usr/lib/qt4/lib -lwifi -lvpn_ext -lbbcascades -lQtDeclarative -lQtScript -lQtSvg -lQtSql -lsqlite3 -lz -lQtXmlPatterns -lQtGui -lQtNetwork -lsocket -lQtCore -lm -lbps 

/Applications/Momentics.app/host_10_2_0_15/darwin/x86/usr/bin/ntox86-ld: cannot find -lvpn_ext

make[2]: Leaving directory `/Users/alex/momentics-workspace/VPNShieldCascades/x86'

make[1]: Leaving directory `/Users/alex/momentics-workspace/VPNShieldCascades/x86'

cc: /Applications/Momentics.app/host_10_2_0_15/darwin/x86/usr/bin/ntox86-ld error 1

make[2]: *** [o-g/VPNShieldCascades] Error 1

make[1]: *** [debug] Error 2

make: *** [Simulator-Debug] Error 2

 

14:42:54 Build Finished (took 619ms)

 

Highlighted
BlackBerry Development Advisor
Posts: 15,884
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: VPN Extensions Library missing on Simulator

libvpn_ext is not currently supported in the BlackBerry 10 Simulator.  I've requested it be added in a future release.

 

For now, you'll need a real device to test with.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.